org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans

## Class FallbackMethodSubclassOverrideBeanB

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodSubclassOverrideBeanB

Direct Known Subclasses:
  FallbackMethodSubclassOverrideBeanA

    public class FallbackMethodSubclassOverrideBeanB
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`FallbackMethodSubclassOverrideBeanB()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected String` `fallback(int a, Long b)`
`String` `method(int a, Long b)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FallbackMethodSubclassOverrideBeanB

    public FallbackMethodSubclassOverrideBeanB()

### Method Detail

#### method

    @Fallback(fallbackMethod="fallback")
    public String method(int a,
                                                              Long b)

#### fallback

    protected String fallback(int a,
                              Long b)